Summary: 	NFS utlilities and supporting daemons for the kernel NFS server.
Name:           nfs-utils
Version: 	1.1.3
Release: 	1
License: 	GPL
Group: 		System
URL:		http://nfs.sf.net/
Source0: 	ftp://ftp.kernel.org/pub/linux/utils/nfs/%{name}-%{version}.tar.bz2
Source1:	%{name}.txt
Patch0:		%{name}.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libevent-devel libnfsidmap-devel

%description
Network File System - why use it?
You want to share directories and files between computers on your network
but don't want to use SAMBA or transfer them via FTP. Also, you can mount
directories with NFS, so they appear as local files/folders. NFS also has
the advantage of not needing special programs to move files back and forth.

Default /etc/exports,fstab; 127.x.x Change to IP, Hostname or Domain name.
rpc_pipefs      /var/lib/nfs/rpc_pipefs  rpc_pipefs  defaults 0 0
nfsd    	/proc/fs/nfsd nfsd 		     defaults 0 0
127.0.0.1:/home/nfs  /mnt/nfs0  nfs  	 	     rw,async 0 0

<snip> from /home/nfs/nfs-utils.txt:
_______________________________________________________________________________________________________

    aLinux Network File System. (NFS)
    ===================================================================================================
    Test file without any real purpose. You can populate/remove from the default: /home/nfs; directory.
    ===================================================================================================

1.  This file is part of the nfs-utils rpm. By default, a local share in /home/nfs -> /mnt/nfs0; has 
    been created with read/write user permission(s).
    
    To remove, edit and/or add shares - edit /etc/exports; change the default 127.0.0.1 -> locahost 
    to a real IP address for remote access.

2.  Run 'exportfs -rav' (after adding a share(s) which will also update the proc nfsd and /var/lib/nfs/*).
    You should now be ('mount' ready to the world!) when using the default mount options.  Else change 
    the permissions to a more secure NFS, then issue a 'mount -a' which is our default used in aLinux to 
    have your share(s) start automatically, on each 'boot - computer (restart)', located in /etc/fstab;.


(a) 1.  Testing - Lets create some mount-points, e.g. /mnt/nfs{1,2,3}; i.e., mkdir -p /mnt/nfs1
    2.  Show /etc/fstab; where the new NFS mount point(s) is by editing: /etc/fstab.
    3. 'exportfs -rav' - updates the system.
    4. 'mount -a' or 'pmount /mnt/nfs1', etc. or even 'mount 127.0.0.1:/home/nfs /mnt/nfs0' will work.

									Test from other boxes as well.
_______________________________________________________________________________________________________


    Question:	Why use NFS?, why not ftpmount or SAMBA or something else?

    Answer: 	NSF uses less overhead, and is more convenient then using
		SAMBA or FTP, plus NFS is active and very well documented.

%prep
%setup -q
%patch0 -p0

%build
autoreconf -i -f -s
configure --enable-nfsv3 --enable-nfsv4 --disable-gss --disable-nls --prefix=$RPM_BUILD_ROOT
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
mkdir -p $RPM_BUILD_ROOT/{home/nfs,mnt/nfs0}; cp %{SOURCE1} $RPM_BUILD_ROOT/home/nfs/
mkdir $RPM_BUILD_ROOT/{etc,sbin}; cp utils/idmapd/idmapd.conf $RPM_BUILD_ROOT/etc/
mv $RPM_BUILD_ROOT/usr/sbin/{moun*,umoun*} $RPM_BUILD_ROOT/sbin/
touch $RPM_BUILD_ROOT/etc/exports;
echo "/home/nfs 127.0.0.1(rw,async,no_root_squash,no_subtree_check)" >$RPM_BUILD_ROOT/etc/exports
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/{rpc_pipefs,v4recovery}
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
touch $RPM_BUILD_ROOT/var/lib/nfs/xtab
touch $RPM_BUILD_ROOT/var/lib/nfs/etab
touch $RPM_BUILD_ROOT/var/lib/nfs/rmtab
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs/{sm,sm.bak}
touch $RPM_BUILD_ROOT/var/lib/nfs/state
chmod go-rwx $RPM_BUILD_ROOT/var/lib/nfs/{sm,sm.bak,state}
chown nobody $RPM_BUILD_ROOT/var/lib/nfs/{sm,sm.bak,state}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/*
